	Function h3(alpha,beta)
	implicit real*8 (a-h,o-z)
      COMMON /MISC/ PI
	Fact=(pi/(alpha-2*beta))**1.5d0
	Betap=alpha*beta/(alpha-2*beta)
	h3=fact*h2(alpha,betap)
	Return
	End
	Function h2(alpha,beta)
	implicit real*8 (a-h,o-z)
      COMMON /MISC/ PI
	h2=pi**3/(alpha*(alpha-4*beta))**1.5D0
	Return
	End
	FUNCTION H(ALPHA,BETA0,N,RI,RI2,RIJ,RIJ2)
	implicit real*8 (a-h,o-z)
      COMMON /MISC/ PI
	external errf,e1
	FACT=1
	BETA=BETA0
	DO NM=N,3,-1
	  FACT=FACT*(pi/(alpha-2*beta))**1.5d0
	  Beta=alpha*beta/(alpha-2*beta)
	ENDDO
	H=FACT*pi**3/(alpha*(alpha-4*beta))**1.5D0
	RI=N*FACT*2*PI**2.5D0/(ALPHA*(ALPHA-4*BETA)*(ALPHA-2*BETA)**0.5D0)
	RI2=N*FACT*2*PI**3/((ALPHA-2*BETA)*(ALPHA*(ALPHA-4*BETA))**.5D0)
	RIJ=(N*(N-1)/2)*FACT*PI**2.5D0*SQRT(2d0)/
	2  (ALPHA*(ALPHA-4*BETA)**1.5D0)
	RIJ2=(N*(N-1)/2)*FACT*PI**3/(SQRT(ALPHA)*(ALPHA-4*BETA)**1.5D0)
	RETURN
	END
